=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  curl,
  dkms,
  gawk,
- linux-headers-6.5.0-1010-gcp (>= 6.5.0-1010.10) [amd64 arm64],
+ linux-headers-6.5.0-1012-gcp (>= 6.5.0-1012.12) [amd64 arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -20,6 +20,7 @@
  nvidia-graphics-drivers-525-server (= 525.147.05-0ubuntu0.23.10.1),
  nvidia-graphics-drivers-535 (= 535.146.02-0ubuntu0.23.10.1),
  nvidia-graphics-drivers-535-server (= 535.129.03-0ubuntu0.23.10.1),
+ nvidia-graphics-drivers-545 (= 545.29.06-0ubuntu0.23.10.2),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-gcp/+git/mantic
 
@@ -30,7 +31,7 @@
 Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-470-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-470},
 Description: Extra drivers for nvidia-470 for the gcp flavour
  Install extra signed nvidia-470 modules compatible with the gcp flavour.
@@ -42,7 +43,7 @@
 Provides: ${dkms:nvidia-525-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-525-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-525-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-525},
 Description: Extra drivers for nvidia-525 for the gcp flavour
  Install extra signed nvidia-525 modules compatible with the gcp flavour.
@@ -54,7 +55,7 @@
 Provides: ${dkms:nvidia-525-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-525-open-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-525-open-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-525-open},
 Description: Extra drivers for nvidia-525-open for the gcp flavour
  Install extra signed nvidia-525-open modules compatible with the gcp flavour.
@@ -66,7 +67,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-535-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the gcp flavour
  Install extra signed nvidia-535 modules compatible with the gcp flavour.
@@ -78,11 +79,35 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the gcp flavour
  Install extra signed nvidia-535-open modules compatible with the gcp flavour.
 
+Package: linux-modules-nvidia-545-gcp
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-545-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-545-6.5.0-1012-gcp (= ${binary:Version}),
+ ${nvk:nvidia-545},
+Description: Extra drivers for nvidia-545 for the gcp flavour
+ Install extra signed nvidia-545 modules compatible with the gcp flavour.
+
+Package: linux-modules-nvidia-545-open-gcp
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-545-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-545-open-6.5.0-1012-gcp (= ${binary:Version}),
+ ${nvk:nvidia-545-open},
+Description: Extra drivers for nvidia-545-open for the gcp flavour
+ Install extra signed nvidia-545-open modules compatible with the gcp flavour.
+
 Package: linux-modules-nvidia-470-server-gcp
 Build-Profiles: <!stage1>
 Architecture: amd64 
@@ -90,7 +115,7 @@
 Provides: ${dkms:nvidia-470-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-server-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-470-server-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-470-server},
 Description: Extra drivers for nvidia-470-server for the gcp flavour
  Install extra signed nvidia-470-server modules compatible with the gcp flavour.
@@ -102,7 +127,7 @@
 Provides: ${dkms:nvidia-525-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-525-server-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-525-server-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-525-server},
 Description: Extra drivers for nvidia-525-server for the gcp flavour
  Install extra signed nvidia-525-server modules compatible with the gcp flavour.
@@ -114,7 +139,7 @@
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-535-server-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-535-server},
 Description: Extra drivers for nvidia-535-server for the gcp flavour
  Install extra signed nvidia-535-server modules compatible with the gcp flavour.
@@ -126,7 +151,7 @@
 Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-open-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-modules-nvidia-535-server-open-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-535-server-open},
 Description: Extra drivers for nvidia-535-server-open for the gcp flavour
  Install extra signed nvidia-535-server-open modules compatible with the gcp flavour.
@@ -236,7 +261,7 @@
 Description: Extra drivers for nvidia-510-server for the gcp flavour (dummy transitional package)
  Transitional package for upgrades of -510-server to -525-server.
 
-Package: linux-objects-nvidia-470-6.5.0-1010-gcp
+Package: linux-objects-nvidia-470-6.5.0-1012-gcp
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -246,15 +271,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.5.0-1010 (objects)
- This package contains the Linux kernel nvidia modules for version 6.5.0-1010.
+Description: Linux kernel nvidia modules for version 6.5.0-1012 (objects)
+ This package contains the Linux kernel nvidia modules for version 6.5.0-1012.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-470-gcp* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-modules-nvidia-470-6.5.0-1010-gcp
+Package: linux-modules-nvidia-470-6.5.0-1012-gcp
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -263,20 +288,20 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- linux-image-6.5.0-1010-gcp | linux-image-unsigned-6.5.0-1010-gcp,
- linux-signatures-nvidia-6.5.0-1010-gcp (= 6.5.0-1010.10+1),
- linux-objects-nvidia-470-6.5.0-1010-gcp (= ${binary:Version}),
+ linux-image-6.5.0-1012-gcp | linux-image-unsigned-6.5.0-1012-gcp,
+ linux-signatures-nvidia-6.5.0-1012-gcp (= 6.5.0-1012.12),
+ linux-objects-nvidia-470-6.5.0-1012-gcp (= ${binary:Version}),
  ${nvk:nvidia-470},
-Description: Linux kernel nvidia modules for version 6.5.0-1010
+Description: Linux kernel nvidia modules for version 6.5.0-1012
  This package pulls together the Linux kernel nvidia modules for
- version 6.5.0-1010 with the appropriate signatures.
+ version 6.5.0-1012 with the appropriate signatures.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-470-gcp* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-objects-nvidia-525-6.5.0-1010-gcp
+Package: linux-objects-nvidia-525-6.5.0-1012-gcp
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
@@ -286,38 +311,13 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.5.0-1010 (objects)
- This package contains the Linux kernel nvidia modules for version 6.5.0-1010.
+Description: Linux kernel nvidia modules for version 6.5.0-1012 (objects)
+ This package contains the Linux kernel nvidia modules for version 6.5.0-1012.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-525-gcp* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-modules-nvidia-525-6.5.0-1010-gcp
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- linux-image-6.5.0-1010-gcp | linux-image-unsigned-6.5.0-1010-gcp,
- linux-signatures-nvidia-6.5.0-1010-gcp (= 6.5.0-1010.10+1),
- linux-objects-nvidia-525-6.5.0-1010-gcp (= ${binary:Version}),
- ${nvk:nvidia-525},
-Description: Linux kernel nvidia modules for version 6.5.0-1010
- This package pulls together the Linux kernel nvidia modules for
- version 6.5.0-1010 with the appropriate signatures.
- .
- You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-525-gcp* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-objects-nvidia-525-open-6.5.0-1010-gcp
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Priority: optional
+Package: linux-modules-nvidia-525-6.5.0-1012-gcp
+Build-Profiles: <!stage1>
