=== debian/changelog ===
linux-restricted-modules-gcp (6.5.0-1020.20) mantic; urgency=medium

  * Main version: 6.5.0-1020.20

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Tue, 30 Apr 2024 12:36:18 -0400

linux-restricted-modules-gcp (6.5.0-1019.19) mantic; urgency=medium

  * Main version: 6.5.0-1019.19

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/2024.04.01)

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Fri, 19 Apr 2024 13:26:16 -0400

linux-restricted-modules-gcp (6.5.0-1018.18) mantic; urgency=medium

  * Main version: 6.5.0-1018.18

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 04 Apr 2024 20:42:16 -0500

linux-restricted-modules-gcp (6.5.0-1017.17) mantic; urgency=medium

  * Main version: 6.5.0-1017.17

  * Packaging resync (LP: #1786013)
    - [Packaging] remove update-version script
    - [Packaging] remove update-dkms-versions script
    - debian/dkms-versions -- update from kernel-versions (main/2024.03.04)

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from main

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 13 Mar 2024 11:03:39 -0500

linux-restricted-modules-gcp (6.5.0-1016.16) mantic; urgency=medium

  * Master version: 6.5.0-1016.16

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/s2024.02.05)

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 08 Mar 2024 12:58:01 -0600

linux-restricted-modules-gcp (6.5.0-1015.15) mantic; urgency=medium

  * Master version: 6.5.0-1015.15

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 13 Feb 2024 15:43:16 -0600

linux-restricted-modules-gcp (6.5.0-1014.14) mantic; urgency=medium

  * Master version: 6.5.0-1014.14

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 09 Feb 2024 15:51:53 -0600

linux-restricted-modules-gcp (6.5.0-1013.13) mantic; urgency=medium

  * Master version: 6.5.0-1013.13

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2024.01.08)

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 24 Jan 2024 15:20:01 -0600
